【Xcode】ユニットテストをしようと思ったらエラーが出たので解消した話【Swift】

Xcodeでユニットテストをしようと思ったら以下のエラーが発生しました。

Compiling for iOS 14.0, but module 'XXX' has a minimum deployment target of iOS 14.7:

こちらの解消方法について調べました。

エラー内容について

DeepLの翻訳は以下の通りです。

iOS 14.0 用にコンパイルしていますが、モジュール 'XXX' の最小デプロイメントターゲットは iOS 14.7 になっています。

おそらくターゲットの設定を変えればエラーは解消されそうです。

プロジェクトの設定を変えてみる

プロジェクト設定のBuild Settingsを選択してiOS Deployment Targetを14.0から14.7に変更するとエラーが解消されました。

似たような症状になった人は、プロジェクトの設定を変えてみるとエラーが解消されるかもしれません。

コメントを残す

メールアドレスが公開されることはありません。

CAPTCHA